-- Thanks to phanx for her excellent (as usual) tutorial on addons localization.
-- https://phanx.net/addons/tutorials/localize

local _, namespace = ...

local L = setmetatable({}, { __index = function(t, k)
	local v = tostring(k)
	rawset(t, k, v)
	return v
end })

namespace.L = L

local LOCALE = GetLocale()

if LOCALE == "enUS" then
	-- The EU English game client also
	-- uses the US English locale code.
return end

if LOCALE == "itIT" then
	-- Italian translations by me
	L["MIST"] 				= "NEBBIE"
	L["NW"] 				= "SCIAN"
	L["DOS"] 				= "ALDILA"
	L["HOA"]				= "SALE"
	L["PLAGUE"]				= "PIAGA"
	L["SD"]					= "PROSAN"
	L["SPIRE"]				= "GUGLIE"
	L["TOP"]				= "TEATRO"
	L["TSOW"]				= "STRADE"
	L["TSG"]				= "INGANNO"
	
	L["Mists of Tirna Scithe"]			= "Nebbie di Tirna Falcis"
	L["The Necrotic Wake"]				= "Scia necrotica"
	L["De Other Side"] 					= "Aldilà"
	L["Halls of Atonement"]				= "Sale della redenzione"	
	L["Plaguefall"]						= "Piagafunesta"
	L["Sanguine Depths"]				= "Profondità sanguigne"
	L["Spires of Ascension"]			= "Guglie dell'ascensione"
	L["Theater of Pain"]				= "Teatro del dolore"
	L["Tazavesh: Streets of Wonder"]	= "Strade delle meraviglie"
	L["Tazavesh: So'leah's Gambit"]		= "Inganno di So'leah"
	
	L["Score"] 							= "punti"
	L["Fortified"] 						= "Potenziamento"
	L["Tyrannical"] 					= "Tirannia"
	L["F"] 								= "F"
	L["T"] 								= "T"
	L["set to show keys"] 				= "configurato per mostrare le chiavi"
	L["set to show score"] 				= "configurato per mostrare il punteggio"
	L["Mythic+ score"] 					= "Punteggio Mitiche+"
						
return end


if LOCALE == "zhTW" then

	L["MIST"]  							= "迷霧"
	L["NW"] 							= "死靈"
	L["DOS"] 							= "彼界"
	L["HOA"] 							= "贖罪"
	L["PLAGUE"] 						= "瘟疫"
	L["SD"] 							= "血紅"
	L["SPIRE"] 							= "晉升"
	L["TOP"]  							= "苦痛"
	L["TSOW"] 	 						= "街道"
	L["TSG"] 							= "險招" 

	L["JADE"] 							= "玉蛟"
	L["GROUND"] 						= "影月"
	L["HoV"] 							= "英靈"
	L["COURT"] 							= "眾星"
	L["ALGE"] 							= "學院"
	L["RUBY"] 							= "晶紅"
	L["AZURE"] 							= "蒼藍"
	L["NOKH"] 							= "諾庫德"
	
	L["Mists of Tirna Scithe"] 			= "特那希迷霧"
	L["The Necrotic Wake"]	 			= "死靈戰地"
	L["De Other Side"]   				= "彼界境地"
	L["Halls of Atonement"]	 			= "贖罪之殿"
	L["Plaguefall"]	 					= "瘟疫之臨"
	L["Sanguine Depths"] 				= "血紅深淵"
	L["Spires of Ascension"] 			= "晉升之巔"
	L["Theater of Pain"] 				= "苦痛劇場"
	L["Tazavesh: Streets of Wonder"] 	= "塔札維許：奇觀街道"
	L["Tazavesh: So'leah's Gambit"] 	= "塔札維許：索利亞的險招"
	
	L["Temple of the Jade Serpent"] 	= "玉蛟寺"
	L["Shadowmoon Burial Grounds"] 		= "影月墓地"
	L["Halls of Valor"] 				= "英靈殿"
	L["Court of Stars"] 				= "眾星之廷"
	L["Algeth'ar Academy"] 				= "阿爾蓋薩學院"
	L["Ruby Life Pools"] 				= "晶紅生命之池"
	L["The Azure Vault"] 				= "蒼藍密庫"
	L["The Nokhud Offensive"] 			= "諾庫德進攻據點"

	L["Score"] 							= "分數"
	L["Fortified"] 						= "強悍"
	L["Tyrannical"] 					= "暴君"
	L["F"] 								= "悍"
	L["T"] 								= "暴"
	L["set to show keys"] 				= "設定為顯示鑰石"
	L["set to show score"] 				= "設定為顯示分數"
	L["Mythic+ score"] 					= "傳奇+分數"

return end